/*
** Module   : UniqueID.java
** Abstract : Define getter for UNIQUE-ID attribute.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 CA  20130220 Created initial version.
*/

package com.goldencode.p2j.util;

/**
 * Defines the UNIQUE-ID attribute.
 */
public interface UniqueID
{
   /**
    * Gets the the unique ID number associated to this object by the
    * underlying system. Not the same as the handle value itself.
    * 
    * @return   The integer number of the children.
    */
   public integer getUniqueID();
}
